Update counterparty fields
curl --request PATCH \
--url https://api.range.org/v2/counterparties/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Vercel Inc.",
"type": "vendor",
"website": "https://vercel.com",
"notes": "Updated contract terms"
}
'import requests
url = "https://api.range.org/v2/counterparties/{id}"
payload = {
"name": "Vercel Inc.",
"type": "vendor",
"website": "https://vercel.com",
"notes": "Updated contract terms"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Vercel Inc.',
type: 'vendor',
website: 'https://vercel.com',
notes: 'Updated contract terms'
})
};
fetch('https://api.range.org/v2/counterparties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"name": "Vercel",
"type": "vendor",
"addresses": [
{
"id": "08846e81-b3a8-7fd9-cc39-d4023a75dcff",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD28",
"network": "ethereum",
"name": "Vercel Payment Wallet",
"label": "payment address"
}
],
"bank_accounts": [
{
"id": "ba-001",
"currency": "USD",
"bank_name": "Silicon Valley Bank",
"account_name": "Vercel Inc",
"iban": "************1234",
"swift": "CHASUS33",
"routing_number": "*****0248",
"account_number": "****5678",
"account_type": "checking",
"sort_code": "****89"
}
],
"documents": [
{
"id": "doc-001",
"name": "certificate_of_incorporation.pdf",
"type": "kyb",
"mime_type": "application/pdf",
"size_bytes": 245000,
"uploaded_at": "2026-05-10T09:00:00Z"
}
],
"created_at": "2026-05-01T10:00:00Z",
"updated_at": "2026-05-11T14:30:00Z",
"website": "https://vercel.com",
"notes": "Infrastructure hosting provider"
}Counterparties
Update counterparty fields
PATCH
/
v2
/
counterparties
/
{id}
Update counterparty fields
Authorizations
Use Authorization: Bearer
Path Parameters
Body
application/json
Response
200 - application/json
Example:
"a1b2c3d4-5678-90ab-cdef-1234567890ab"
Example:
"Vercel"
Example:
"vendor"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2026-05-01T10:00:00Z"
Example:
"2026-05-11T14:30:00Z"
Example:
"https://vercel.com"
Example:
"Infrastructure hosting provider"
Last modified on July 17, 2026
Was this page helpful?
⌘I